DefaultResourceLoader (Grails 2.3.8)
Date: 2014-04-24

Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.io.support
[Java] Class DefaultResourceLoader

    java.lang.Object
      org.codehaus.groovy.grails.io.support.DefaultResourceLoader

All Implemented Interfaces:
  ResourceLoader

    public class DefaultResourceLoader
    extends java.lang.Object

Default implementation of the ResourceLoader interface.

Will return a UrlResource if the location value is a URL, and a ClassPathResource if it is a non-URL path or a "classpath:" pseudo-URL.

Authors:
  Juergen Hoeller

Since:
  10.03.2004

Constructor Summary
`DefaultResourceLoader()` Create a new DefaultResourceLoader.
`DefaultResourceLoader(java.lang.ClassLoader classLoader)` Create a new DefaultResourceLoader.

Method Summary
`java.lang.ClassLoader` | `getClassLoader()` Return the ClassLoader to load class path resources with.
`static java.lang.ClassLoader` | `getDefaultClassLoader()`
`Resource` | `getResource(java.lang.String location)`
`protected Resource` | `getResourceByPath(java.lang.String path)` Return a Resource handle for the resource at the given path.
`void` | `setClassLoader(java.lang.ClassLoader classLoader)` Specify the ClassLoader to load class path resources with, or `null` for using the thread context class loader at the time of actual resource access.

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Constructor Detail

### DefaultResourceLoader

    public DefaultResourceLoader()

  Create a new DefaultResourceLoader.

  ClassLoader access will happen using the thread context class loader at the time of this ResourceLoader's initialization.

  See Also:
    java.lang.Thread#getContextClassLoader()

### DefaultResourceLoader

    public DefaultResourceLoader(java.lang.ClassLoader classLoader)

  Create a new DefaultResourceLoader.
  Parameters:
    `classLoader` - the ClassLoader to load class path resources with, or `null` for using the thread context class loader at the time of actual resource access

Method Detail

### getClassLoader

    public java.lang.ClassLoader getClassLoader()

  Return the ClassLoader to load class path resources with.

### getDefaultClassLoader

    public static java.lang.ClassLoader getDefaultClassLoader()

### getResource

    public Resource getResource(java.lang.String location)

### getResourceByPath

    protected Resource getResourceByPath(java.lang.String path)

  Return a Resource handle for the resource at the given path.

  The default implementation supports class path locations. This should be appropriate for standalone implementations but can be overridden, e.g. for implementations targeted at a Servlet container.

  Parameters:
    `path` - the path to the resource
  Returns:
    the corresponding Resource handle
  See Also:
    ClassPathResource

### setClassLoader

    public void setClassLoader(java.lang.ClassLoader classLoader)

  Specify the ClassLoader to load class path resources with, or `null` for using the thread context class loader at the time of actual resource access.

  The default is that ClassLoader access will happen using the thread context class loader at the time of this ResourceLoader's initialization.

Groovy Documentation